| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Subscribe-Notify Framework

Subscribe-Notify Framework Definitions and Methods. More...

## Classes
struct | unsp__EventPackages
| Event Packages Supported. More...
struct | unsp__FE_EventPackages
| Functional Element (server side) More...
struct | unsp__QueryServerFEList
| List of Functional Elements. More...
struct | unsp__GetElementStateRequest
| Get Element state request. More...
struct | unsp__GetElementStateResult
| Get Element state result. More...
struct | unsp__SetElementStateRequest
| Set/reset Element state request. More...
struct | unsp__SetElementStateResult
| Set Element state result. More...
struct | unsp__CreateServerFERequest
| Create Server Functional Element request. More...
struct | unsp__CreateServerFEResult
| Create Server Functional Element result. More...
struct | unsp__ModifyServerFERequest
| Modify Server Functional Element request. More...
struct | unsp__ModifyServerFEResult
| Modify Server Functional Element result. More...
struct | unsp__GetServerFERequest
| Get Server Functional Element request. More...
struct | unsp__GetServerFEResult
| Get Server Functional Element result. More...
struct | unsp__QueryServerFEsRequest
| Query Server Functional Elements request. More...
struct | unsp__QueryServerFEsResult
| Query Server Functional Elements result. More...
struct | unsp__DeleteServerFERequest
| Delete Server Functional Element request. More...
struct | unsp__DeleteServerFEResult
| Delete Server Functional Element result. More...
struct | unsp__FE_Client
| Functional Element (client side) More...
struct | unsp__QueryClientFEList
| List of Functional Elements (client side) More...
struct | unsp__CreateClientFERequest
| Create Client Functional Element request. More...
struct | unsp__CreateClientFEResult
| Create Client Functional Element result. More...
struct | unsp__GetClientFERequest
| Get Client Functional Element request. More...
struct | unsp__GetClientFEResult
| Get Client Functional Element result. More...
struct | unsp__QueryClientFEsRequest
| Query Client Functional Elements request. More...
struct | unsp__QueryClientFEsResult
| Query Client Functional Elements result. More...
struct | unsp__DeleteClientFERequest
| Delete Client Functional Element request. More...
struct | unsp__DeleteClientFEResult
| Delete Client Functional Element result. More...
struct | unsp__FeClientSubscriptionRequest
| Functional Element Subscription request. More...
struct | unsp__FeClientSubscriptionResult
| Functional Element Subscription result. More...
struct | unsp__CreateServiceGroupRequest
| Create Service Group request. More...
struct | unsp__CreateServiceGroupResult
| Create Service Group result. More...
struct | unsp__ModifyServiceGroupRequest
| Modify Service Group request. More...
struct | unsp__ModifyServiceGroupResult
| Create Service Group result. More...
struct | unsp__DeleteServiceGroupRequest
| Delete Service Group request. More...
struct | unsp__DeleteServiceGroupResult
| Create Service Group result. More...
struct | unsp__ServiceGroup
| Service Group. More...
struct | unsp__ServiceGroupList
| List of Service Groups. More...
struct | unsp__GetServiceGroupRequest
| Get Service Group request. More...
struct | unsp__GetServiceGroupResult
| Get Service Group result. More...
struct | unsp__QueryServiceGroupsRequest
| Query Service Groups request. More...
struct | unsp__QueryServiceGroupsResult
| Query Service Groups result. More...
struct | unsp__ServiceGroupMember
| Service Group Member. More...
struct | unsp__ServiceGroupMemberList
| List of Service Group Members. More...
struct | unsp__CreateServiceGroupMemberRequest
| Create Service Group Member request. More...
struct | unsp__CreateServiceGroupMemberResult
| Create Service Group Member result. More...
struct | unsp__DeleteServiceGroupMemberRequest
| Delete Service Group Member request. More...
struct | unsp__DeleteServiceGroupMemberResult
| Delete Service Group Member result. More...
struct | unsp__RefreshServiceGroupMemberRequest
| Refresh Service Group Member request. More...
struct | unsp__RefreshServiceGroupMemberResult
| Refresh Service Group Member result. More...
struct | unsp__QueryServiceGroupMembersRequest
| Query Service Group Members request. More...
struct | unsp__QueryServiceGroupMembersResult
| Query Service Group Members result. More...

## Enumerations
enum | unsp__ElementState { ElmtStateUnknown = 0, ElmtStateNormal = 1, ElmtStateScheduledMaintenance = 2, ElmtStateOverloaded = 3, ElmtStateServiceDisruption = 4, ElmtStateGoingDown = 5, ElmtStateDown = 6, ElmtStatePending = 7, ElmtStateInaccessible = 8, ElmtStateUnmanned = 9, ElmtStateMajorIncidentInProgress = 10, ElmtStateComingUp = 11 }
| Functional Element State. More...
enum | unsp__EventPackage { EPUnknown = 0, EPElementState = 1, EPServiceState = 2, EPAbandonedCall = 3 }
| Event Packages. More...
enum | unsp__eSubscriptionStatus { SSUnknown = 0, SSActive = 1, SSPending = 2, SSTerminated = 3 }
| Subscription Status. More...
enum | unsp__eReasonCode { RCUndefined = 0, RCDeactivated = 1, RCProbation = 2, RCRejected = 3, RCTimeout = 4, RCGiveup = 5, RCNoresource = 6 }
| Reason Code. More...
enum | unsp__ServiceState { ServStateUnknown = 0, ServStateNormal = 1, ServStateScheduledMaintenanceAvailable = 2, ServStateMajorIncidentInProgress = 3, ServStatePartialService = 4, ServStateOverloaded = 5, ServStateUnmanned = 6, ServStateScheduledMaintenanceDown = 7, ServStateGoingDown = 8, ServStateDown = 9, ServStatePending = 10, ServStateInaccessible = 11, ServStateSlow = 12, ServStateServiceDisruption = 13, ServStateComingUp = 14 }
| Service State. More...
enum | unsp__FEState { ServMemStateUnknown = 0, ServMemStateNormal = 1, ServMemStateScheduledMaintenanceAvailable = 2, ServMemStateMajorIncidentInProgress = 3, ServMemStatePartialService = 4, ServMemStateOverloaded = 5, ServMemStateUnmanned = 6, ServMemStateScheduledMaintenanceDown = 7, ServMemStateGoingDown = 8, ServMemStateDown = 9, ServMemStatePending = 10, ServMemStateInaccessible = 11, ServMemStateScheduledMaintenance = 12, ServMemStateServiceDisruption = 13, ServMemStateSlow = 14, ServMemStateComingUp = 15 }
| All possible functional elements' state. More...
enum | unsp__ServGrpMemberType { ServGrpMemberTypeUndefined = 0, ServGrpMemberTypeSIP = 1 }
| Service Group Member Type. More...
enum | unsp__ServGrpMemberMonitor { ServGrpMemberMonitorUndefined = 0, ServGrpMemberMonitorElmtState = 1, ServGrpMemberMonitorSrvState = 2 }
| Service Group Member Monitor Method. More...

## Functions
int | unsp__GetElementState (struct unsp__GetElementStateRequest GetElementStateRequest, struct unsp__GetElementStateResult *GetElementStateResult)
| Get Element state. More...
int | unsp__SetElementState (struct unsp__SetElementStateRequest SetElementStateRequest, struct unsp__SetElementStateResult *SetElementStateResult)
| Set/reset Element state. More...
int | unsp__CreateServerFE (struct unsp__CreateServerFERequest CreateServerFERequest, struct unsp__CreateServerFEResult *CreateServerFEResult)
| Set the supported event packages for a subscriber. More...
int | unsp__ModifyServerFE (struct unsp__ModifyServerFERequest ModifyServerFERequest, struct unsp__ModifyServerFEResult *ModifyServerFEResult)
| Deprecated NA. More...
int | unsp__GetServerFE (struct unsp__GetServerFERequest GetServerFERequest, struct unsp__GetServerFEResult *GetServerFEResult)
| Get a Functional Element (server side) More...
int | unsp__QueryServerFEs (struct unsp__QueryServerFEsRequest QueryServerFEsRequest, struct unsp__QueryServerFEsResult *QueryServerFEsResult)
| Get a list with the supported Functional Elements (server side) More...
int | unsp__DeleteServerFE (struct unsp__DeleteServerFERequest DeleteServerFERequest, struct unsp__DeleteServerFEResult *DeleteServerFEResult)
| Delete a Functional Element. More...
int | unsp__CreateClientFE (struct unsp__CreateClientFERequest CreateClientFERequest, struct unsp__CreateClientFEResult *CreateClientFEResult)
| Create a Functional Element (client side). More...
int | unsp__GetClientFE (struct unsp__GetClientFERequest GetClientFERequest, struct unsp__GetClientFEResult *GetClientFEResult)
| Get a Functional Element (client side) More...
int | unsp__QueryClientFEs (struct unsp__QueryClientFEsRequest QueryClientFEsRequest, struct unsp__QueryClientFEsResult *QueryClientFEsResult)
| Get a list with the supported Functional Elements (client side) More...
int | unsp__DeleteClientFE (struct unsp__DeleteClientFERequest DeleteClientFERequest, struct unsp__DeleteClientFEResult *DeleteClientFEResult)
| Delete a Functional Element (client side). More...
int | unsp__FeClientSubscription (struct unsp__FeClientSubscriptionRequest FeClientSubscriptionRequest, struct unsp__FeClientSubscriptionResult *FeClientSubscriptionResult)
| Send a SUBSCRIBE request on a Functional Element (client side) More...
int | unsp__CreateServiceGroup (struct unsp__CreateServiceGroupRequest CreateServiceGroupRequest, struct unsp__CreateServiceGroupResult *CreateServiceGroupResult)
| Creates a Service Group. More...
int | unsp__ModifyServiceGroup (struct unsp__ModifyServiceGroupRequest ModifyServiceGroupRequest, struct unsp__ModifyServiceGroupResult *ModifyServiceGroupResult)
| Modifies a Service Group. More...
int | unsp__DeleteServiceGroup (struct unsp__DeleteServiceGroupRequest DeleteServiceGroupRequest, struct unsp__DeleteServiceGroupResult *DeleteServiceGroupResult)
| Deletes a Service Group. More...
int | unsp__GetServiceGroup (struct unsp__GetServiceGroupRequest GetServiceGroupRequest, struct unsp__GetServiceGroupResult *GetServiceGroupResult)
| Gets a Service Group. More...
int | unsp__QueryServiceGroups (struct unsp__QueryServiceGroupsRequest QueryServiceGroupsRequest, struct unsp__QueryServiceGroupsResult *QueryServiceGroupsResult)
| Queries Service Groups. More...
int | unsp__CreateServiceGroupMember (struct unsp__CreateServiceGroupMemberRequest CreateServiceGroupMemberRequest, struct unsp__CreateServiceGroupMemberResult *CreateServiceGroupMemberResult)
| Creates a Service Group Member. More...
int | unsp__DeleteServiceGroupMember (struct unsp__DeleteServiceGroupMemberRequest DeleteServiceGroupMemberRequest, struct unsp__DeleteServiceGroupMemberResult *DeleteServiceGroupMemberResult)
| Deletes a Service Group Member. More...
int | unsp__RefreshServiceGroupMember (struct unsp__RefreshServiceGroupMemberRequest RefreshServiceGroupMemberRequest, struct unsp__RefreshServiceGroupMemberResult *RefreshServiceGroupMemberResult)
| Refreshes a Service Group Member. More...
int | unsp__QueryServiceGroupMembers (struct unsp__QueryServiceGroupMembersRequest QueryServiceGroupMembersRequest, struct unsp__QueryServiceGroupMembersResult *QueryServiceGroupMembersResult)
| Queries Service Group Members. More...

## Detailed Description

Subscribe-Notify Framework Definitions and Methods.

It is spossible to subscribe for an Element or a Service Group state.

## Enumeration Type Documentation

## ◆ unsp__ElementState

enum unsp__ElementState

Functional Element State.

Enumerator
ElmtStateUnknown | Unknown.
ElmtStateNormal | Normal.
ElmtStateScheduledMaintenance | Scheduled Maintenance.
ElmtStateOverloaded | Overloaded.
ElmtStateServiceDisruption | Service Disruption.
ElmtStateGoingDown | Going Down.
ElmtStateDown | Down.
ElmtStatePending | Pending.
ElmtStateInaccessible | Inaccessible.
ElmtStateUnmanned | Unmanned.
ElmtStateMajorIncidentInProgress | Major Incident In Progress.
ElmtStateComingUp | Coming Up.

## ◆ unsp__eReasonCode

enum unsp__eReasonCode

Reason Code.

Enumerator
RCUndefined | Undefined.
RCDeactivated | Deactivated.
RCProbation | Probation.
RCRejected | Rejected.
RCTimeout | Timeout.
RCGiveup | Give up.
RCNoresource | No resource.

## ◆ unsp__eSubscriptionStatus

enum unsp__eSubscriptionStatus

Subscription Status.

Enumerator
SSUnknown | Unknown.
SSActive | Active.
SSPending | Pending.
SSTerminated | Terminated.

## ◆ unsp__EventPackage

enum unsp__EventPackage

Event Packages.

Enumerator
EPUnknown | Unknown.
EPElementState | Element State.
EPServiceState | Service State.
EPAbandonedCall | Abandoned Call.

## ◆ unsp__FEState

enum unsp__FEState

All possible functional elements' state.

Enumerator
ServMemStateUnknown | Unknown.
ServMemStateNormal | Normal.
ServMemStateScheduledMaintenanceAvailable | Scheduled Maintenance Available.
ServMemStateMajorIncidentInProgress | Major Incident In Progress.
ServMemStatePartialService | Partial Service.
ServMemStateOverloaded | Overloaded.
ServMemStateUnmanned | Unmanned.
ServMemStateScheduledMaintenanceDown | Scheduled Maintenance Down.
ServMemStateGoingDown | Going Down.
ServMemStateDown | Down.
ServMemStatePending | Pending.
ServMemStateInaccessible | Inaccessible.
ServMemStateScheduledMaintenance | Scheduled Maintenance.
ServMemStateServiceDisruption | Service Disruption.
ServMemStateSlow | Slow.
ServMemStateComingUp | Coming Up.

## ◆ unsp__ServGrpMemberMonitor

enum unsp__ServGrpMemberMonitor

Service Group Member Monitor Method.

Enumerator
ServGrpMemberMonitorUndefined | Undefined.
ServGrpMemberMonitorElmtState | Element State.
ServGrpMemberMonitorSrvState | Service State.

## ◆ unsp__ServGrpMemberType

enum unsp__ServGrpMemberType

Service Group Member Type.

Enumerator
ServGrpMemberTypeUndefined | Undefined.
ServGrpMemberTypeSIP | SIP.

## ◆ unsp__ServiceState

enum unsp__ServiceState

Service State.

Enumerator
ServStateUnknown | Unknown.
ServStateNormal | Normal.
ServStateScheduledMaintenanceAvailable | Scheduled Maintenance Available.
ServStateMajorIncidentInProgress | Major Incident In Progress.
ServStatePartialService | Partial Service.
ServStateOverloaded | Overloaded.
ServStateUnmanned | Unmanned.
ServStateScheduledMaintenanceDown | Scheduled Maintenance Down.
ServStateGoingDown | Going Down.
ServStateDown | Down.
ServStatePending | Pending.
ServStateInaccessible | Inaccessible.
ServStateSlow | Slow.
ServStateServiceDisruption | Service Disruption.
ServStateComingUp | Coming Up.

## Function Documentation

## ◆ unsp__CreateClientFE()

unsp__CreateClientFE | ( | struct unsp__CreateClientFERequest | CreateClientFERequest,
|  | struct unsp__CreateClientFEResult * | CreateClientFEResult
| ) |  |

Create a Functional Element (client side).

That operation triggers a subscription request based on the event package selected.

Parameters

  CreateClientFERequest | API request
  CreateClientFEResult | API result MP2 command: CCLIENTFE [Attributes]

## ◆ unsp__CreateServerFE()

unsp__CreateServerFE | ( | struct unsp__CreateServerFERequest | CreateServerFERequest,
|  | struct unsp__CreateServerFEResult * | CreateServerFEResult
| ) |  |

Set the supported event packages for a subscriber.

Parameters

  CreateServerFERequest | API request
  CreateServerFEResult | API result MP2 command: CSERVERFE [Attributes]

## ◆ unsp__CreateServiceGroup()

unsp__CreateServiceGroup | ( | struct unsp__CreateServiceGroupRequest | CreateServiceGroupRequest,
|  | struct unsp__CreateServiceGroupResult * | CreateServiceGroupResult
| ) |  |

Creates a Service Group.

Parameters

  CreateServiceGroupRequest | API request
  CreateServiceGroupResult | API result MP2 command: CSERVICEGROUP [Attributes]

## ◆ unsp__CreateServiceGroupMember()

unsp__CreateServiceGroupMember | ( | struct unsp__CreateServiceGroupMemberRequest | CreateServiceGroupMemberRequest,
|  | struct unsp__CreateServiceGroupMemberResult * | CreateServiceGroupMemberResult
| ) |  |

Creates a Service Group Member.

Parameters

  CreateServiceGroupMemberRequest | API request
  CreateServiceGroupMemberResult | API result MP2 command: CSERVICEGROUPMEMBER [Attributes]

## ◆ unsp__DeleteClientFE()

unsp__DeleteClientFE | ( | struct unsp__DeleteClientFERequest | DeleteClientFERequest,
|  | struct unsp__DeleteClientFEResult * | DeleteClientFEResult
| ) |  |

Delete a Functional Element (client side).

That operation triggers a subscription termination request based on the event package selected.

Parameters

  DeleteClientFERequest | API request
  DeleteClientFEResult | API result MP2 command: DCLIENTFE [Attributes]

## ◆ unsp__DeleteServerFE()

unsp__DeleteServerFE | ( | struct unsp__DeleteServerFERequest | DeleteServerFERequest,
|  | struct unsp__DeleteServerFEResult * | DeleteServerFEResult
| ) |  |

Delete a Functional Element.

Parameters

  DeleteServerFERequest | API request
  DeleteServerFEResult | API result MP2 command: DSERVERFE [Attributes]

## ◆ unsp__DeleteServiceGroup()

unsp__DeleteServiceGroup | ( | struct unsp__DeleteServiceGroupRequest | DeleteServiceGroupRequest,
|  | struct unsp__DeleteServiceGroupResult * | DeleteServiceGroupResult
| ) |  |

Deletes a Service Group.

Parameters

  DeleteServiceGroupRequest | API request
  DeleteServiceGroupResult | API result MP2 command: DSERVICEGROUP [Attributes]

## ◆ unsp__DeleteServiceGroupMember()

unsp__DeleteServiceGroupMember | ( | struct unsp__DeleteServiceGroupMemberRequest | DeleteServiceGroupMemberRequest,
|  | struct unsp__DeleteServiceGroupMemberResult * | DeleteServiceGroupMemberResult
| ) |  |

Deletes a Service Group Member.

Parameters

  DeleteServiceGroupMemberRequest | API request
  DeleteServiceGroupMemberResult | API result MP2 command: DSERVICEGROUPMEMBER [Attributes]

## ◆ unsp__FeClientSubscription()

unsp__FeClientSubscription | ( | struct unsp__FeClientSubscriptionRequest | FeClientSubscriptionRequest,
|  | struct unsp__FeClientSubscriptionResult * | FeClientSubscriptionResult
| ) |  |

Send a SUBSCRIBE request on a Functional Element (client side)

Parameters

  FeClientSubscriptionRequest | API request
  FeClientSubscriptionResult | API result

## ◆ unsp__GetClientFE()

unsp__GetClientFE | ( | struct unsp__GetClientFERequest | GetClientFERequest,
|  | struct unsp__GetClientFEResult * | GetClientFEResult
| ) |  |

Get a Functional Element (client side)

Parameters

  GetClientFERequest | API request
  GetClientFEResult | API result

## ◆ unsp__GetElementState()

unsp__GetElementState | ( | struct unsp__GetElementStateRequest | GetElementStateRequest,
|  | struct unsp__GetElementStateResult * | GetElementStateResult
| ) |  |

Get Element state.

Parameters

  GetElementStateRequest | API request
  GetElementStateResult | API result

## ◆ unsp__GetServerFE()

unsp__GetServerFE | ( | struct unsp__GetServerFERequest | GetServerFERequest,
|  | struct unsp__GetServerFEResult * | GetServerFEResult
| ) |  |

Get a Functional Element (server side)

Parameters

  GetServerFERequest | API request
  GetServerFEResult | API result

## ◆ unsp__GetServiceGroup()

unsp__GetServiceGroup | ( | struct unsp__GetServiceGroupRequest | GetServiceGroupRequest,
|  | struct unsp__GetServiceGroupResult * | GetServiceGroupResult
| ) |  |

Gets a Service Group.

Parameters

  GetServiceGroupRequest | API request
  GetServiceGroupResult | API result

## ◆ unsp__ModifyServerFE()

unsp__ModifyServerFE | ( | struct unsp__ModifyServerFERequest | ModifyServerFERequest,
|  | struct unsp__ModifyServerFEResult * | ModifyServerFEResult
| ) |  |

Deprecated NA.

Modify a Functional Element (server side)

An error message will be returned in case you use it.

Parameters

  ModifyServerFERequest | API request
  ModifyServerFEResult | API result

## ◆ unsp__ModifyServiceGroup()

unsp__ModifyServiceGroup | ( | struct unsp__ModifyServiceGroupRequest | ModifyServiceGroupRequest,
|  | struct unsp__ModifyServiceGroupResult * | ModifyServiceGroupResult
| ) |  |

Modifies a Service Group.

Parameters

  ModifyServiceGroupRequest | API request
  ModifyServiceGroupResult | API result MP2 command: MSERVICEGROUP [Attributes]

## ◆ unsp__QueryClientFEs()

unsp__QueryClientFEs | ( | struct unsp__QueryClientFEsRequest | QueryClientFEsRequest,
|  | struct unsp__QueryClientFEsResult * | QueryClientFEsResult
| ) |  |

Get a list with the supported Functional Elements (client side)

Parameters

  QueryClientFEsRequest | API request
  QueryClientFEsResult | API result

## ◆ unsp__QueryServerFEs()

unsp__QueryServerFEs | ( | struct unsp__QueryServerFEsRequest | QueryServerFEsRequest,
|  | struct unsp__QueryServerFEsResult * | QueryServerFEsResult
| ) |  |

Get a list with the supported Functional Elements (server side)

Parameters

  QueryServerFEsRequest | API request
  QueryServerFEsResult | API result

## ◆ unsp__QueryServiceGroupMembers()

unsp__QueryServiceGroupMembers | ( | struct unsp__QueryServiceGroupMembersRequest | QueryServiceGroupMembersRequest,
|  | struct unsp__QueryServiceGroupMembersResult * | QueryServiceGroupMembersResult
| ) |  |

Queries Service Group Members.

Parameters

  QueryServiceGroupMembersRequest | API request
  QueryServiceGroupMembersResult | API result

## ◆ unsp__QueryServiceGroups()

unsp__QueryServiceGroups | ( | struct unsp__QueryServiceGroupsRequest | QueryServiceGroupsRequest,
|  | struct unsp__QueryServiceGroupsResult * | QueryServiceGroupsResult
| ) |  |

Queries Service Groups.

Parameters

  QueryServiceGroupsRequest | API request
  QueryServiceGroupsResult | API result

## ◆ unsp__RefreshServiceGroupMember()

unsp__RefreshServiceGroupMember | ( | struct unsp__RefreshServiceGroupMemberRequest | RefreshServiceGroupMemberRequest,
|  | struct unsp__RefreshServiceGroupMemberResult * | RefreshServiceGroupMemberResult
| ) |  |

Refreshes a Service Group Member.

Parameters

  RefreshServiceGroupMemberRequest | API request
  RefreshServiceGroupMemberResult | API result

## ◆ unsp__SetElementState()

unsp__SetElementState | ( | struct unsp__SetElementStateRequest | SetElementStateRequest,
|  | struct unsp__SetElementStateResult * | SetElementStateResult
| ) |  |

Set/reset Element state.

Parameters

  SetElementStateRequest | API request
  SetElementStateResult | API result MP2 command: SETELEMENTSTATE [Attributes]